package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.LifeUserExpert;
import shop.alien.entity.store.vo.ExpertGoodsTypeVo;
import shop.alien.entity.store.vo.LifeUserExpertOrderVo;
import shop.alien.entity.store.vo.LifeUserExpertVo;

import java.util.List;

/**
 * <p>
 * 用户达人表 服务类
 * </p>
 *
 * @author ssk
 * @since 2025-02-19
 */
public interface LifeUserExpertService extends IService<LifeUserExpert> {

    IPage<LifeUserExpertVo> getUserExpertList(int page, int size, String userName, String expertCode, Integer userId);

    IPage<LifeUserExpertOrderVo> getExpertOrderList(int page, int size, Integer expertId, String orderNo, String storeName, Integer storeId);

    boolean becomeExpert(Integer id, String userPhone,String comment,Integer expertStatus);

    boolean cancelExpert(Integer id);

    LifeUserExpertVo getPercentageInfo();

    LifeUserExpertVo getWorksInfo(Integer expertId);

    List<LifeUserExpertOrderVo> getCooperateStore(Integer expertId);

    /**
     * 优势带货品类
     *
     * @param expertId 达人id
     * @return List<Map < String, Object>>
     */
    List<ExpertGoodsTypeVo> greatGoodsType(Integer expertId);

    IPage<LifeUserExpertVo> getApplicationExpertList(int page, int size, String userName, String expertCode, Integer userId);
}
